## org.eclipse.emf.edit.ui.action
Class ValidateAction.EclipseResourcesUtil

    java.lang.Object
      org.eclipse.emf.common.ui.MarkerHelper
          org.eclipse.emf.edit.ui.util.EditUIMarkerHelper
              org.eclipse.emf.edit.ui.action.ValidateAction.EclipseResourcesUtil

Enclosing class:
  ValidateAction

    public static class ValidateAction.EclipseResourcesUtil

extends EditUIMarkerHelper

Constructor Summary
`ValidateAction.EclipseResourcesUtil()`

Method Summary
`protected void` `adjustMarker(IMarker marker, Diagnostic diagnostic, Diagnostic parentDiagnostic)` Clients should override this method to update the marker associated with the diagnostic.
`protected java.lang.String` `composeMessage(Diagnostic diagnostic, Diagnostic parentDiagnostic)` Returns the message that will be used with the marker associated with the given diagnostic.
`void` `createMarkers(Resource resource, Diagnostic diagnostic)`
`protected java.lang.String` `getMarkerID()`
`IRunnableWithProgress` `getWorkspaceModifyOperation(IRunnableWithProgress runnableWithProgress)`

Methods inherited from class org.eclipse.emf.edit.ui.util.EditUIMarkerHelper
`adjustMarker, deleteMarkers, getFile, getTargetObjects, hasMarkers`

Methods inherited from class org.eclipse.emf.common.ui.MarkerHelper
`createMarkers, createMarkers, deleteMarkers, deleteMarkers, getEditorInput, getFile, getFile, hasMarkers, hasMarkers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateAction.EclipseResourcesUtil

    public ValidateAction.EclipseResourcesUtil()

Method Detail

### getWorkspaceModifyOperation

    public IRunnableWithProgress getWorkspaceModifyOperation(IRunnableWithProgress runnableWithProgress)

### getMarkerID

    protected java.lang.String getMarkerID()

  Overrides:
    `getMarkerID` in class `MarkerHelper`

### createMarkers

    public void createMarkers(Resource resource,
                              Diagnostic diagnostic)

### composeMessage

    protected java.lang.String composeMessage(Diagnostic diagnostic,
                                              Diagnostic parentDiagnostic)

  Description copied from class: `MarkerHelper`
  Returns the message that will be used with the marker associated with the given diagnostic.

  Overrides:
    `composeMessage` in class `MarkerHelper`
  Parameters:
    `diagnostic` - the diagnostic.
    `parentDiagnostic` - the parent of the diagnostic, if any.
  Returns:
    the message that will be used with the marker associated with the given diagnostic.

### adjustMarker

    protected void adjustMarker(IMarker marker,
                                Diagnostic diagnostic,
                                Diagnostic parentDiagnostic)
                         throws CoreException

  Description copied from class: `MarkerHelper`
  Clients should override this method to update the marker associated with the diagnostic.

  Overrides:
    `adjustMarker` in class `EditUIMarkerHelper`
  Parameters:
    `marker` - the marker to be updated.
    `diagnostic` - the diagnostic associated with the marker.
    `parentDiagnostic` - the parent of the diagnostic, if any.
  Throws:
    `CoreException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.